clockon
Prev | Orchestra Opcodes and Operators | Next

## clockon

clockon — Starts one of a number of internal clocks.

## Description

Starts one of a number of internal clocks.

## Syntax

    clockon inum

## Initialization

inum -- the number of a clock. There are 32 clocks numbered 0 through 31. All other values are mapped to clock number 32.

## Performance

Between a clockon and a clockoff opcode, the CPU time used is accumulated in the clock. The precision is machine dependent but is the millisecond range on UNIX and Windows systems. The readclock opcode reads the current value of a clock at initialization time.

## Examples

See the readclock opcode for an example.

## See Also

clockoff, readclock

## Credits

Author: John ffitch
University of Bath/Codemist Ltd.
Bath, UK
July, 1999

New in Csound version 3.56

Prev | Up | Next
clockoff | Home | cngoto